Bug 527114 - setroubleshoot: SELinux is preventing /usr/sbin/prelink "unlink" access to deltarpm.4UeAbd.
Summary: setroubleshoot: SELinux is preventing /usr/sbin/prelink "unlink" access ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:cef58494491...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-04 16:30 UTC by David
Modified: 2009-10-05 13:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-05 13:33:49 UTC
Type: ---


Attachments (Terms of Use)

Description David 2009-10-04 16:30:21 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/sbin/prelink "unlink" access to deltarpm.4UeAbd.

Detailed Description:

[prelink has a permissive type (prelink_t). This access was not denied.]

SELinux denied prelink unlink on deltarpm.4UeAbd. The prelink program is only
allowed to manipulate files that are identified as executables or shared
libraries by SELinux. Libraries that get placed in lib directories get labeled
by default as a shared library. Similarly, executables that get placed in a bin
or sbin directory get labeled as executables by SELinux. However, if these files
get installed in other directories they might not get the correct label. If
prelink is trying to manipulate a file that is not a binary or share library
this may indicate an intrusion attack.

Allowing Access:

You can alter the file context by executing "chcon -t bin_t 'deltarpm.4UeAbd'"
or "chcon -t lib_t 'deltarpm.4UeAbd'" if it is a shared library. If you want to
make these changes permanent you must execute the semanage command. "semanage
fcontext -a -t bin_t 'deltarpm.4UeAbd'" or "semanage fcontext -a -t lib_t
'deltarpm.4UeAbd'". If you feel this executable/shared library is in the wrong
location please file a bug against the package that includes the file. If you
feel that SELinux should know about this file and label it correctly please file
a bug against SELinux policy.

Additional Information:

Source Context                unconfined_u:system_r:prelink_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:rpm_tmp_t:s0
Target Objects                deltarpm.4UeAbd [ file ]
Source                        prelink
Source Path                   /usr/sbin/prelink
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           prelink-0.4.2-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.31-2.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   prelink_mislabled
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-2.fc12.i686 #1 SMP Thu Sep 10
                              00:41:03 EDT 2009 i686 i686
Alert Count                   1
First Seen                    Sun 04 Oct 2009 06:48:05 AM PDT
Last Seen                     Sun 04 Oct 2009 06:48:05 AM PDT
Local ID                      ccf423c8-8891-44a7-8ed0-d3fbd90912fe
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1254664085.873:34): avc:  denied  { unlink } for  pid=2291 comm="prelink" name="deltarpm.4UeAbd" dev=sda5 ino=5017 scontext=unconfined_u:system_r:prelink_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:rpm_tmp_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1254664085.873:34): arch=40000003 syscall=38 success=yes exit=0 a0=bfa01fb0 a1=bfa01ff0 a2=916da28 a3=916f120 items=0 ppid=2289 pid=2291 auid=1003 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=1 comm="prelink" exe="/usr/sbin/prelink" subj=unconfined_u:system_r:prelink_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.31-2.fc12,prelink_mislabled,prelink,prelink_t,rpm_tmp_t,file,unlink
audit2allow suggests:

#============= prelink_t ==============
allow prelink_t rpm_tmp_t:file unlink;

Comment 1 Daniel Walsh 2009-10-05 13:33:49 UTC
Please update to the latest selinux-policy


Note You need to log in before you can comment on or make changes to this bug.